# Align image stack

align_image_stack è uno strumento da linea di comando disponibile con la versione in sviluppo di hugin e permette di allineare delle immagini che si sovrappongono al fine di facilitare la creazione di HDR, la fusione dell'esposizione e la realizzazione di immagini con una estesa profondità di campo.

## Utilizzo

    align_image_stack [opzioni] file di input

### Opzioni: modalità di funzionamento

    -p file

Crea un file .pto (utile per risolvere eventuali problemi o per effettuare ulteriori modifiche)

    -a prefisso

Allinea le immagini, attribuendo un nome file del tipo prefisso_xxxx.tif

    -o output

Unisce le immagini in HDR, generando un file del denominato output.hdr

### Opzioni: modificatori

    -v

Modalità prolissa; visualizza dei messaggi durante l'elaborazione

    -e

Indica che le immagini in ingresso sono fisheye fullframe (default: rettilineare)

    -t num

Rimuove tutti i punti di controllo con un errore superiore a num pixel (default: 3)

    -f HFOV

Approssima il campo inquadrato orizzontale delle immagini in ingresso; utilizzare questa opzione se le informazioni EXIF non sono complete

    -m

Ottimizza il campo inquadrato per tutte le immagini, ad eccezione di questa. Utile per allineare immagini con diverse messe a fuoco e piccole differenze di ingrandimento

    -c num

Numero dei punti di controllo da creare tra due immagini (default: 8)

    -l

ipotizza che i file di input siano lineari

    -s scala

Rimpicciolisce l'immagine con una scala quadratica (default: 1 [2x downsampling]). Rimpicciolire le immagini aumenta la velocità a discapito dell'accuratezza.

    -g dimensioneg

Suddivide l'immagine con una griglia rettangolare (dimensioneg x dimensioneg) e cerca di identificare una quantità num di punti di controllo in ogni sezione (default: 5 [griglia 5x5] )

    -h

Mostra l'aiuto.

Questo articolo è incompleto; è possibile contribuire alla crescita di Panotools Wiki completandolo.

Quando l'articolo è completo, rimuovere il modello {{Incomplete}}

Tratto e tradotto da "http://wiki.panotools.org/Align_image_stack"